- shell:
    - [git submodule update --init --recursive, Updating submodules]

- create:
    - ~/.config

- link:
    ~/.gitconfig: config/git/gitconfig
    ~/.gitignore: config/git/gitignore
    ~/.ssh/config: config/ssh/config
    ~/.config:
        create: true
        glob: true
        path: config/dot_config/**/*
    ~/.local/bin:
        create: true
        glob: true
        path: config/scripts/*
